%define _name ytnef

Name: lib%_name
Version: 1.9
Release: alt0.M80P.1

Summary: TNEF Stream Parser Library
Group: System/Libraries
License: GPL2
Url: https://github.com/Yeraze/%_name

# VCS: https://github.com/Yeraze/ytnef.git
Source: %_name-%version.tar.gz

BuildRequires: perl-MIME-tools

%description
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %_name
Summary: TNEF Stream Reader
Group: Networking/Mail
Requires: %name = %version-%release

%description -n %_name
This package provides %_name utility to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%prep
%setup -n %_name-%version

%build
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std includedir=%_includedir/%name

%check
pushd test-data
rm -rf data
export LD_LIBRARY_PATH=%buildroot%_libdir:${LD_LIBRARY_PATH}
./test.sh
popd

%files
%_libdir/%name.so.*
%doc README.md

%files devel
%_includedir/%name/
%_libdir/%name.so

%files -n %_name
%_bindir/ytnef
%_bindir/ytnefprint
%_bindir/ytnefprocess.pl


%changelog
* Mon Feb 06 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9-alt0.M80P.1
- backport to p8

* Tue Jan 24 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9-alt1
- 1.9 (fixed CVE-2010-5109)

* Mon Jan 23 2017 Yuri N. Sedunov <aris@altlinux.org> 1.8-alt0.M80P.1
- backport to p8

* Thu Nov 17 2016 Yuri N. Sedunov <aris@altlinux.org> 1.8-alt1
- 1.8 (new url)
- new subpackage: ytnef

* Mon Jan 12 2015 Yuri N. Sedunov <aris@altlinux.org> 1.5-alt1
- first build for Sisyphus

